.container{
    width:95%;
    margin:0 auto;
}
/* 卡片公共样式 */
.card{
    border-radius:35px;
    padding:20px 30px;
    margin-top:25px;
    border: #eff0f2 1px solid;
}

.card :first-of-type{
    margin-top: 0;
}

/* 选集 */
.section-title{
    font-size:14px;
    font-weight:700;
    color:#6b7280;
    letter-spacing:1px;
    margin-bottom:20px;
}

.season{
    margin-left:10px;
}

.episode-list{
    display:grid;
    grid-template-columns:repeat(8,1fr);
    gap:20px;
}

.episode{
    padding: 14px 18px;
    border:1px solid #e5e7eb;
    border-radius:12px;
    display:flex;
    align-items:center;
    justify-content:center;
    font-weight:700;
    cursor:pointer;
}

.episode.active{
    background:linear-gradient(135deg, #E50914 0%, #B91C1C 100%);
    color:#fff;
    border:none;
}

/* 标题信息 */
.movie-info{
    display:flex;
    justify-content:space-between;
    align-items:center;
    flex-wrap:wrap;
}

.movie-title{
    font-size:28px;
    font-weight:900;
    font-style:italic;

}

.tags{
    display:flex;
    gap:10px;
    margin-top:18px;
}

.tag{
    padding:6px 14px;
    border-radius:20px;
    font-size:13px;
    background:#f4f6f8;
}

.tag.rating{
    /*color:#e8a500;*/
}

.tag.movie{
    /*color:#ff4f7d;*/
}

.actions{
    display:flex;
    gap:12px;
}

.action-btn{
    border:none;
    background:#f4f6f8;
    padding:12px 18px;
    border-radius:10px;
    cursor:pointer;
}

/* 剧情 */
.plot-title{
    font-size:13px;
    /*color:#9ca3af;*/
    font-weight:700;
    letter-spacing:2px;
    margin-bottom:20px;
}

.plot{
    /*color:#6b7280;*/
    line-height:1.8;
}

/* 手机端 */
@media(max-width:768px){
    .search-box{
        width:60%;
    }
    .player-wrap{
        padding:15px;
    }
    .card{
        border-radius:20px;
        padding:20px;
    }
    .episode-list{
        grid-template-columns:repeat(2,1fr);
        gap:10px;
    }
    .movie-title{
        font-size:22px;
    }
    .movie-info{
        gap:20px;
    }
    .actions{
        width:100%;
    }
}